%{?nodejs_find_provides_and_requires}

%global packagename grunt-legacy-log-utils
%global enable_tests 0
# tests are disabled as there are no tagged releases in github

Name:		nodejs-grunt-legacy-log-utils
Version:	0.1.1
Release:	2%{?dist}
Summary:	Static methods for the Grunt 0.4.x logger

License:	MIT
URL:		https://github.com/gruntjs/grunt-legacy-log-utils.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
%endif

Requires:	nodejs

%description
Static methods for the Grunt 0.4.x logger.


%prep
%setup -q -n package

%nodejs_fixdep underscore.string

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Oct 19 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.1-2
- Update dependency on underscore.string

* Mon Oct 19 2015 Jared Smith <jsmith@fedoraproject.org> - 0.1.1-1
- Initial packaging
